PUT api/v1/SubscriptionPlans/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
SubscriptionPlan| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Code | string |
None. |
|
| Name | string |
None. |
|
| Description | string |
None. |
|
| Price | decimal number |
None. |
|
| Currency | string |
None. |
|
| IntervalType | byte |
None. |
|
| IntervalCount | integer |
None. |
|
| TrialDays | integer |
None. |
|
| DisplayOrder | integer |
None. |
|
| IsActive | boolean |
None. |
|
| IsDeleted | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
|
| MaxChild | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"price": 5.0,
"currency": "sample string 6",
"intervalType": 64,
"intervalCount": 8,
"trialDays": 1,
"displayOrder": 1,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:03:59.5061843+03:00",
"updatedAt": "2026-04-18T15:03:59.5061843+03:00",
"maxChild": 1
}
application/xml, text/xml
Sample:
<SubscriptionPlan xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityBase"> <Code>sample string 2</Code> <CreatedAt>2026-04-18T15:03:59.5061843+03:00</CreatedAt> <Currency>sample string 6</Currency> <Description>sample string 4</Description> <DisplayOrder>1</DisplayOrder> <Id>1</Id> <IntervalCount>8</IntervalCount> <IntervalType>64</IntervalType> <IsActive>true</IsActive> <IsDeleted>true</IsDeleted> <MaxChild>1</MaxChild> <Name>sample string 3</Name> <Price>5</Price> <TrialDays>1</TrialDays> <UpdatedAt>2026-04-18T15:03:59.5061843+03:00</UpdatedAt> </SubscriptionPlan>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.